package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeErrorInfo;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/SetErrorMessageAction.class */
public class SetErrorMessageAction extends LifeAction {
    private String errorMessage;
    private String errorCode;

    public String execute(Context context) throws GENEException {
        String language;
        String errorMessageShow;
        try {
            Context sessionCtx = getSessionCtx(context);
            TranFailException exception = (TranFailException) context.getDataValue("GENEException");
            try {
                language = (String) sessionCtx.getDataValue("session_language");
            } catch (GENEException unused) {
                language = "ZH_CN";
            }
            String errorCode = exception.getErrorCode();
            LifeErrorInfo errorInfo = LifeStandard.getErrorInfo(errorCode, language);
            if (errorInfo == null) {
                String showMessage = exception.getShowMessage();
                errorMessageShow = showMessage;
                if (showMessage == null) {
                    throw new TranFailException("EBLN0000", "错误代码[" + errorCode + "]未定义");
                }
            } else {
                errorMessageShow = errorInfo.getShowMsg();
            }
            context.put(this.errorCode, errorCode);
            context.put(this.errorMessage, errorMessageShow);
            return "0";
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
}
